import { Module, PisellCore } from '../../types';
import { ProductData } from '../../modules/';
import { BaseModule } from '../../modules/BaseModule';
export * from './types';
export declare class BuyTicketsImpl extends BaseModule implements Module {
    protected defaultName: string;
    protected defaultVersion: string;
    isSolution: boolean;
    private request;
    private window;
    private store;
    private otherParams;
    constructor(name?: string, version?: string);
    initialize(core: PisellCore, options: any): Promise<void>;
    loadProductsByIds(ids: number[]): Promise<void>;
    loadProductsByCategory(categoryId: number): Promise<void>;
    destroy(): Promise<void>;
    getProducts(): Promise<ProductData[]>;
    getProduct(id: number): Promise<ProductData>;
    listSubmit(data: Record<string, any>): Promise<{
        status: boolean;
        data: any;
    } | undefined>;
    cartSubmit(data: Record<string, any>): Promise<void>;
    checkoutSubmit(data: Record<string, any>): Promise<void>;
}
